.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 56px;
    background-color: #505050;
    box-shadow: 0 0 4px #000;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-right: 16px;

    &__part {
        display: flex;
        align-items: center;
        padding-left: 60px;
    }
}

.menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 60px;
    height: 56px;
    background-color: #202020;

    &__toggle {
        position: absolute;
        top: 0;
        left: 0;
        width: 60px;
        height: 56px;
        opacity: 0;
        cursor: pointer;

        &:checked {
            & + .menu__burger {
                .menu__burger__icon {
                    &_default {
                        display: none;
                    }

                    &_open {
                        display: block;
                    }
                }

                & + .menu__list {
                    height: calc(100% - 56px);
                }
            }
        }
    }

    &__burger {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 60px;
        height: 56px;
    
        &__icon {
            color: #fff;
            font-size: 24px;
    
            &_open {
                display: none;
            }
        }
    }

    &__list {
        position: fixed;
        top: 56px;
        left: 0;
        height: 0;
        background-color: #202020;
        overflow: hidden;
    }

    &__item {
        display: flex;
        align-items: center;
        padding: 16px 0;
        color: #cccccc;
        white-space: nowrap;
        text-decoration: none;
        transition: 0.15s;

        &:hover {
            background-color: #3a3a3a;

            .menu__item__icon {
                color: #fff;
            }

            .menu__item__name {
                max-width: 400px;
                padding-right: 16px;
            }
        }

        &__icon {
            flex-shrink: 0;
            display: flex;
            align-items: center;
            justify-content: center;
            width: 60px;
            font-size: 24px;
            transition: 0.15s;
        }

        &__name {
            font-size: 14px;
            line-height: 18px;
            text-transform: uppercase;
            overflow: hidden;
            max-width: 0;
            padding-right: 0;
            transition: 0.15s;
        }
    }
}

.breadcrumbs {
	display: flex;
	align-items: center;
    margin-left: 25px;

	&__link {
		font-size: 19px;
		line-height: 24px;
		color: #fff;
		font-weight: 700;
        text-decoration: none;

		&:last-child {
			font-weight: 400;
		}
	}

	&__sep {
		margin: 0 20px;
        font-size: 18px;
		color: #fff;
	}
}

.search {
    width: 570px;
    height: 28px;
    display: flex;
    align-items: center;
    background-color: rgba(#f0f0f0, 0.2);
    color: #fff;
    border-radius: 4px;
    padding: 0 12px;

    &__icon {
        flex-shrink: 0;
        font-size: 18px;
        margin-right: 8px;
    }

    &__input {
        display: block;
        width: 100%;
	    font-family: 'Roboto', sans-serif;
        font-size: 16px;
        line-height: 24px;
        font-weight: 400;
        background: none;
        border: 0;
        outline: 0;
        color: #fff;

        &::-webkit-input-placeholder {
            color: #fff;
        }
        &::-moz-placeholder {
            color: #fff;
        }
        &:-ms-input-placeholder {
            color: #fff;
        }
        &:-moz-placeholder {
            color: #fff;
        }
    }

    &__arrow {
        flex-shrink: 0;
        font-size: 24px;
    }
}